%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function h = plot_ocsvm_step(x, X1, X2, fhat, blinear, bfile, filename, gnum)
%function plot_ocsvm_step(x, X1, X2, fhat, blinear, bfile, filename, gnum)
%	plot data points and the decision boundary
%	only 2 dim inputs
%
if nargin < 5, blinear = false; end
if nargin < 6, bfile = false; end
if nargin < 7, filename = 'pics\plot_ocsvm_step'; end
if nargin < 8, gnum = 100; end

plot(x(:,1), x(:,2), 'ob', 'MarkerSize', 7, 'Linewidth', 2);
hold on
if (blinear)
	h = plot(minmax(x(:,1)'), fhat, 'k', 'LineWidth', 2);
else
	[C h] = contour(X1, X2, fhat, [0 0], 'k', 'LineWidth', 2);
end
hold off
xr = minmax(x(:,1:2)')';
axis(xr(:) + 0.1*[-1 1 -1 1]')
set(gca, 'xtick', []), set(gca, 'ytick', []);
if (~bfile)
	drawnow
else
%	saveas(gcf, [filename '.fig'], 'fig');
	print('-dpng', '-r96', [filename '.png'] );
end
